net.sf.statcvs.charts

## Class TimeLineChartMaker

- java.lang.Object
- - net.sf.statcvs.charts.TimeLineChartMaker

-     public class TimeLineChartMaker
      extends java.lang.Object

  Creates charts from `TimeLine`s.
  Version:
    $Id: TimeLineChartMaker.java,v 1.11 2009/04/25 16:36:20 benoitx Exp $
  Author:
    Richard Cyganiak

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeLineChartMaker(java.lang.String chartName, ReportConfig config, TimeLine timeLine, java.lang.String fileName, java.util.Collection symbolicNames)` Creates a chart from a time line.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChartImage` | `toFile()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeLineChartMaker

          public TimeLineChartMaker(java.lang.String chartName,
                            ReportConfig config,
                            TimeLine timeLine,
                            java.lang.String fileName,
                            java.util.Collection symbolicNames)

      Creates a chart from a time line.
      Parameters:
        `config` - The configuration to use
        `timeLine` - the time line data for the chart
        `fileName` - the file name for the PNG image

  - ### Method Detail

    - #### toFile

          public ChartImage toFile()